%global shortname parent

Name:           zanata-%{shortname}
Version:        19
Release:        2%{?dist}
Summary:        The Project Object Model(pom) files for the Zanata packages

Group:          Development/Libraries
License:        LGPLv2
URL:            https://github.com/zanata/%{name}
Source0:        https://github.com/zanata/%{name}/archive/%{name}-%{version}.zip

BuildArch:      noarch

BuildRequires:  maven-local

BuildRequires:  maven-surefire-provider-junit
BuildRequires:  resteasy

Requires:       jpackage-utils
Requires:       resteasy

%description
The Project Object Model(pom) files for the Zanata packages.

%prep
%setup -q -n %{name}-%{name}-%{version}
# disable some plugins that are not in fedora and not relevant in fedora packaging 
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :versions-maven-plugin
%pom_remove_plugin :maven-eclipse-plugin
%pom_remove_plugin :maven-dependency-plugin
%pom_remove_plugin :maven-sortpom-plugin
%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :gitdescribe-maven-plugin

# we have to remove wagon-webdav-jackrabbit until jackrabbit is available
%pom_xpath_remove "pom:build/pom:extensions"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.txt COPYING.LESSER COPYING.GPL

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 30 2014 Patrick Huang <pahuang@redhat.com> - 19-1
- Latest upstream version

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 16-3
- Use Requires: java-headless rebuild (#1067528)

* Thu Jan 16 2014 Patrick Huang <pahuang@redhat.com> 16-2
- Add require resteasy

* Thu Jan 09 2014 Patrick Huang <pahuang@redhat.com> 16-1
- Latest upstream version

* Thu Aug 22 2013 Patrick Huang <pahuang@redhat.com> 13-1
- Latest upstream version

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 29 2013 Patrick Huang <pahuang@redhat.com> 12-1
- latest upstream version

* Tue Mar 19 2013 Patrick Huang <pahuang@redhat.com> 11-3
- change according to new java packaging guideline

* Tue Mar 12 2013 Patrick Huang <pahuang@redhat.com> 11-2
- disable a few plugins that are not relevant in fedora packaging

* Wed Mar 6 2013 Patrick Huang <pahuang@redhat.com> 11-1
- upstream version upgrade

* Wed Mar 6 2013 Patrick Huang <pahuang@redhat.com> 10-2
- add licenses

* Tue Feb 26 2013 Patrick Huang <pahuang@redhat.com> 10-1
- upstream upgrade to version 10

* Fri Feb 8 2013 Patrick Huang <pahuang@redhat.com> 9-1
- Initial RPM package
